Get all data snapshot statuses
curl --request GET \
--url https://api.brightdata.com/webarchive/dumps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/webarchive/dumps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/webarchive/dumps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"dump_id": "ucd_abc123-1234567890",
"id": "ucd_abc123-1234567890",
"status": "done",
"created": "2026-02-05T07:57:50.947Z",
"done": "2026-02-05T08:21:55.245Z",
"readiness": "100.00%",
"search_id": "ucd_xyz789",
"filters": {
"max_age": "2h",
"min_date": "2026-02-05T05:00:00.000Z"
},
"batches_total": 1,
"batches_uploaded": 1,
"files_total": 10,
"files_uploaded": 10
},
{
"dump_id": "ucd_def456-9876543210",
"id": "ucd_def456-9876543210",
"status": "in_progress",
"created": "2026-02-04T13:35:54.607Z",
"readiness": "50.00%",
"search_id": "ucd_qwe321",
"filters": {
"max_age": "1d",
"domain_whitelist": [
"example.com"
]
},
"batches_total": 10,
"batches_uploaded": 5,
"files_total": 1000,
"files_uploaded": 500
}
]所有状态
获取所有数据快照的状态
使用 Bright Data Archive API 获取所有数据快照的状态。GET /webarchive/dumps 返回 200 OK,包含每个转储任务的 JSON 状态。
GET
/
webarchive
/
dumps
Get all data snapshot statuses
授权
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
响应
List of data snapshot statuses
- In Progress
- Finished
- Failed
Unique identifier for the dump
Same as dump_id (included for compatibility)
Current status of the dump
可用选项:
in_progress Timestamp when the dump was created
ID of the search this dump is based on
Percentage of completion (e.g., "22.31%")
Total number of batches to process
Number of batches uploaded so far
Total number of files in the dump
Number of files uploaded so far
Filters used to create the dump (present in list endpoint)
此页面对您有帮助吗?